Please use the Apache issue tracking system for new NetBeans issues (https://issues.apache.org/jira/projects/NETBEANS0/issues) !!
Bug 234198 - Project Properties Configurations should have a way to start from a copy of an existing configuration
Project Properties Configurations should have a way to start from a copy of a...
Status: RESOLVED FIXED
Product: projects
Classification: Unclassified
Component: Maven
7.3.1
PC Windows 7
: P3 (vote)
: 8.0
Assigned To: Milos Kleint
issues@projects
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-09 15:43 UTC by swpalmer
Modified: 2013-10-12 03:59 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description swpalmer 2013-08-09 15:43:01 UTC
Product Version = NetBeans IDE 7.3.1 (Build 201306052037)
Operating System = Windows 7 version 6.1 running on amd64
Java; VM; Vendor = 1.7.0_25
Runtime = Java HotSpot(TM) 64-Bit Server VM 23.25-b01

For now I have a Maven-based project and I need to make a configuration for running the project with different settings.  After setting up the run parameters it would be great if I could just make a new configuration based on an existing one.  That way all I have to do is change a few small things rather than re-enter everything, like: main class, working directory, VM parameters, etc.
Comment 1 Milos Kleint 2013-10-09 13:51:13 UTC
http://hg.netbeans.org/core-main/rev/4698da3e885c
Comment 2 Quality Engineering 2013-10-12 03:59:20 UTC
Integrated into 'main-silver', will be available in build *201310120001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)

Changeset: http://hg.netbeans.org/main-silver/rev/4698da3e885c
User: Milos Kleint <mkleint@netbeans.org>
Log: #234198 clone existing configuration


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo